function [ allCoeffsListOUT ] = extractList( allCoeffsListIN,allsignalList )
%Funkce vybere podle nenulovych prvku v allsignalList odpovidajici bunky z allCoeffsListIN
%
    
    listSize = numel(allsignalList);
    allCoeffsListOUT = zeros(1,listSize*20);
    myCard = 20;
    indexPointer = 0;   
    
    for i=1:listSize
        if allsignalList(i)~=0              
            allCoeffsListOUT(indexPointer+(1:myCard)) = allCoeffsListIN{i}(1:myCard);
            indexPointer = indexPointer+myCard;
        end        
    end

end

